package org.apache.xerces.impl.xs.psvi;

public interface XSSimpleTypeDefinition extends XSTypeDefinition {
  public static final short VARIETY_ABSENT = 0;
  
  public static final short VARIETY_ATOMIC = 1;
  
  public static final short VARIETY_LIST = 2;
  
  public static final short VARIETY_UNION = 3;
  
  public static final short FACET_NONE = 0;
  
  public static final short FACET_LENGTH = 1;
  
  public static final short FACET_MINLENGTH = 2;
  
  public static final short FACET_MAXLENGTH = 4;
  
  public static final short FACET_PATTERN = 8;
  
  public static final short FACET_WHITESPACE = 16;
  
  public static final short FACET_MAXINCLUSIVE = 32;
  
  public static final short FACET_MAXEXCLUSIVE = 64;
  
  public static final short FACET_MINEXCLUSIVE = 128;
  
  public static final short FACET_MININCLUSIVE = 256;
  
  public static final short FACET_TOTALDIGITS = 512;
  
  public static final short FACET_FRACTIONDIGITS = 1024;
  
  public static final short FACET_ENUMERATION = 2048;
  
  public static final short ORDERED_FALSE = 0;
  
  public static final short ORDERED_PARTIAL = 1;
  
  public static final short ORDERED_TOTAL = 2;
  
  short getDefinedFacets();
  
  short getFixedFacets();
  
  short getOrdered();
  
  short getVariety();
  
  boolean getBounded();
  
  boolean getFinite();
  
  boolean getNumeric();
  
  boolean isDefinedFacet(short paramShort);
  
  boolean isFixedFacet(short paramShort);
  
  String getLexicalFacetValue(short paramShort);
  
  StringList getLexicalEnumeration();
  
  StringList getLexicalPattern();
  
  XSAnnotation getAnnotation();
  
  XSObjectList getMemberTypes();
  
  XSSimpleTypeDefinition getItemType();
  
  XSSimpleTypeDefinition getPrimitiveType();
}
